Subject: general-digest V2 #101
From: [email-masked] (general-digest)
To: [email-masked]

general-digest        Friday, November 12 1999        Volume 02 : Number 101

In this issue:

    Netwinder-like device as a home server?
    Re: Netwinder-like device as a home server?
    MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Re: MP3 playing on a netwinder
    Netwinder in daily use

See the end of this digest for information about general-digest.

----------------------------------------------------------------------

Date: Thu, 4 Nov 1999 09:04:55 -0500
From: "Peter Baldwin" <[email-masked]>
Subject: Netwinder-like device as a home server?

Hi there.

A few folks - including myself - are currently looking at developing a "home
server"... basically a little "black box" that sits in a corner and acts as
the brain of a smart household.  You can get more details at
http://www.pointclark.net.  NW is a good starting point, but it is still too
complex to use for users like my sister-in-law!  We want the new product to
be reliable, secure, simple, and smart (I guess that's asking too much!)

I'm currently an MBA (previous life: systems engineer) at Carnegie Mellon
University.  For my entrepreneurship classes, I'm taking on the home server
market as my project.  As I state on the website... "if the feedback from
this website is positive, the financials and marketing look good, and about
a million other things fall into place, PointClark could be a real business
by mid-2000"

Take a look at http://www.pointclark.net and feel free to send us
feedback... it would be very much appreciated!  Over the coming weeks, all
the comments will be aggregated and added to the content of the website.

Thanks for your attention!

Cheers,
Peter
web: http://www.pointclark.net
email: [email-masked]

- -------------
Peter Baldwin
MBA Candidate '00 (previous life: systems engineer)
Carnegie Mellon University

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 04 Nov 1999 14:08:19 -0500
From: "Andrew E. Mileski" <[email-masked]>
Subject: Re: Netwinder-like device as a home server?

Peter Baldwin wrote:
> A few folks - including myself - are currently looking at developing a "home
> server"... basically a little "black box" that sits in a corner and acts as
> the brain of a smart household.  You can get more details at
> http://www.pointclark.net.  NW is a good starting point, but it is still too
> complex to use for users like my sister-in-law!  We want the new product to
> be reliable, secure, simple, and smart (I guess that's asking too much!)

Have you used a NetWinder OfficeServer?  They are pretty darn easy to use,
assuming you know how to use a web browser.  I think there's a demo unit at
office.rebel.com though Craig knows more about that than me.  Basically
it is a NetWinder with a CGI user interface to make it simple.  Very nice.

I'm certain the NetWinder can do what you want :)
[Ugh, I sound like a sales droid...]

- --
Andrew E. Mileski  -  Software Engineer
REBEL.COM  http://www.rebel.com/

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 04 Nov 1999 21:11:07 -0500
From: Ed <[email-masked]>
Subject: MP3 playing on a netwinder

Hello. 

I (finally!) have my netwinder up and running again, now with firmware
2.1.16 and the DM15 beta 4 "base" package installed.  It seems to be 
running well.

I remember seeing several threads on MP3 playing in here in the past 
but don't have them anymore.  Can anyone give me a hint on getting
MP3 decoding going?

Thanks,
Ed.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Thu, 04 Nov 1999 13:42:16 -0800
From: Mike Montour <[email-masked]>
Subject: Re: MP3 playing on a netwinder

Ed wrote:

> Hello.
> I remember seeing several threads on MP3 playing in here in the past
> but don't have them anymore.  Can anyone give me a hint on getting
> MP3 decoding going?

Here's one:   http://www.xaudio.com/downloads/
(the Linux/ARM package)

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: 5 Nov 1999 04:46:05 GMT
From: [email-masked] ()
Subject: Re: MP3 playing on a netwinder

On Thu, 04 Nov 1999 21:11:07 -0500, Ed <[email-masked]> wrote:
>Hello. 
>
>I (finally!) have my netwinder up and running again, now with firmware
>2.1.16 and the DM15 beta 4 "base" package installed.  It seems to be 
>running well.
>
>I remember seeing several threads on MP3 playing in here in the past 
>but don't have them anymore.  Can anyone give me a hint on getting
>MP3 decoding going?
>
>Thanks,
>Ed.

I believe www.xaudio.com is the place to go.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 05 Nov 1999 00:46:12 -0500
From: Ed <[email-masked]>
Subject: Re: MP3 playing on a netwinder

Thanks for the pointer.

I'm still somewhat of a Linux novice, maybe you could offer another bit
of help.

I downloaded the statically linked RPM for ARM from that page,
xaudio-1.0-5.armv4l.rpm, but when I try to rpm -i it, I get:

[root@netwinder /root]# rpm -i xaudio_armv4l.rpm
error: failed dependencies:
        ld.so.1 is needed by xaudio-1.0-5
        libICE.so.6 is needed by xaudio-1.0-5
        libSM.so.6 is needed by xaudio-1.0-5
        libX11.so.6 is needed by xaudio-1.0-5
        libXext.so.6 is needed by xaudio-1.0-5
        libXmu.so.6 is needed by xaudio-1.0-5
        libXt.so.6 is needed by xaudio-1.0-5

I don't know where I would go to get these things.  I also don't have
any
X stuff on there so I definately won't have any of the libX*'s.

I also tried the gzipped tar, xaudio_arm-unknown-linux_tar.gz.  However,
when I try to run it I just get

- -rwxrwxr-x    1 root     root       175240 Apr 20  1999 xaudio

[root@netwinder xaudio-1.0.5.arm-unknown-linux]# ./xaudio
bash: ./xaudio: No such file or directory

I'm guessing this is all because of some missing library, so I'm 
curious about how I can find out what is missing, and then find out
what RPM will provide it.

Thanks in advance for any advice you can offer!

- - Ed

Mike Montour wrote:
> 
> Ed wrote:
> 
> > Hello.
> > I remember seeing several threads on MP3 playing in here in the past
> > but don't have them anymore.  Can anyone give me a hint on getting
> > MP3 decoding going?
> 
> Here's one:   http://www.xaudio.com/downloads/
> (the Linux/ARM package)

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 05 Nov 1999 08:35:20 -0500
From: Ralph Siemsen <[email-masked]>
Subject: Re: MP3 playing on a netwinder

Ed wrote:

> I don't know where I would go to get these things.  I also don't have
> any
> X stuff on there so I definately won't have any of the libX*'s.

That is why it's complaining then.  You can install it anyways (the
command line tool would work) using --nodeps option to rpm.

> I also tried the gzipped tar, xaudio_arm-unknown-linux_tar.gz.  However,
> when I try to run it I just get
> 
> -rwxrwxr-x    1 root     root       175240 Apr 20  1999 xaudio
> 
> [root@netwinder xaudio-1.0.5.arm-unknown-linux]# ./xaudio
> bash: ./xaudio: No such file or directory

This is caused because its an "old" application that tries to use
/usr/lib/ld.so.1 as the loader, instead of the new one
/lib/ld-linux.so.2.  Any old binaries will have this problem, and really
should be recomplied.  Since this isn't an option here, you can get away
with the following trick:

	ln -s ../../ld-linux.so.2 /usr/lib/ld.so.1

We won't include this on the DM image by default, because it is a
kludge, and Andrew doesn't like kludges :)

- -- 
Ralph Siemsen -- [email-masked]

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 05 Nov 1999 08:52:33 -0500
From: Ed <[email-masked]>
Subject: Re: MP3 playing on a netwinder

Ralph Siemsen wrote:
> > bash: ./xaudio: No such file or directory
> 
> This is caused because its an "old" application that tries to use
> /usr/lib/ld.so.1 as the loader, instead of the new one
> /lib/ld-linux.so.2.  Any old binaries will have this problem, and really
> should be recomplied.  Since this isn't an option here, you can get away
> with the following trick:
> 
>         ln -s ../../ld-linux.so.2 /usr/lib/ld.so.1
> 
> We won't include this on the DM image by default, because it is a
> kludge, and Andrew doesn't like kludges :)

Thanks Ralph, this did the trick.  I assumed that it was some sort of 
shared library problem but don't yet have enough experience to track
things like that down.  After a little tinkering with sound, my 
Netwinder is now happily playing an MP3.

Thanks Ralph, Mike and jkelly for the help.  I'll go back to 
lurking now ;)

- - Ed

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: 5 Nov 1999 17:37:11 GMT
From: [email-masked] ()
Subject: Re: MP3 playing on a netwinder

On Fri, 05 Nov 1999 08:35:20 -0500, Ralph Siemsen <[email-masked]> wrote:
>Ed wrote:
>
>> I don't know where I would go to get these things.  I also don't have
>> any
>> X stuff on there so I definately won't have any of the libX*'s.
>
>That is why it's complaining then.  You can install it anyways (the
>command line tool would work) using --nodeps option to rpm.
>
>> I also tried the gzipped tar, xaudio_arm-unknown-linux_tar.gz.  However,
>> when I try to run it I just get
>> 
>> -rwxrwxr-x    1 root     root       175240 Apr 20  1999 xaudio
>> 
>> [root@netwinder xaudio-1.0.5.arm-unknown-linux]# ./xaudio
>> bash: ./xaudio: No such file or directory
>
>This is caused because its an "old" application that tries to use
>/usr/lib/ld.so.1 as the loader, instead of the new one
>/lib/ld-linux.so.2.  Any old binaries will have this problem, and really
>should be recomplied.  Since this isn't an option here, you can get away

Actually, If you download the sdk, you can compile the sample cmdline player.
I had to do that in order to get it to work on my titan system.

- ---
This message processed by the Netwinder.Org news2mail gateway.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

Date: Fri, 12 Nov 1999 07:32:16 -0600
From: "Darryl DeGraff" <[email-masked]>
Subject: Netwinder in daily use

Gareth Woolridge <[email-masked]> wrote:
>What I would like to know is people's everyday opinions of use of the
>Netwinder as both a development and general machine.

I use it daily for development ... still using DM10, though we ship (that's
right, we ship a NW with our product) DM12.  In this respect it is used as
a server, I do most of my programming in perl or C++.

My observation is that X is a little sluggish, build 15p4 (just downloaded
p5 but haven't installed).

Nice machine.  Build 15 is a DEFINIITE improvement; it's almost there!

darryl (li-cor)

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general" as the body of your message.

------------------------------

End of general-digest V2 #101
*****************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe general-digest" as the body of your message.